#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QDebug>
#include <QListWidgetItem>

#include "../loader.h"

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow {
    Q_OBJECT
public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::MainWindow *ui;
	Loader * adloader;

private slots:
	void on_pbSave_clicked();
 void lvAliens_select(QModelIndex, QModelIndex);
	void on_cbAlRegeneration_toggled(bool checked);
	void on_cbAlArmor_toggled(bool checked);
};

#endif // MAINWINDOW_H
